Subject: Re: [bug#29847] [PATCH] import: pypi: Stay in the REPL if fail to get a source

From: ng0 <[email-masked]>
Date: Mon, 25 Dec 2017 19:38:25 +0000

Hi,

Oleg Pykhalov transcribed 1.6K bytes:
> Hello ng0,
> 
> ng0 <[email-masked]> writes:
> 
> > Why? Could you give some reasons why the current behavior is bad
> > and what your code tries to improve in this regard?
> 
> Because of the documentation string says “return #f on failure” (not
> kill REPL on failure or terminate a Guile process):
> 
>     Fetch the metadata for PACKAGE-NAME from pypi.python.org, and return the
>     `package' s-expression corresponding to that package, or #f on failure.
> 
> and because Why an import package function kill my Emacs's Geiser?  :'(
> 
> 
> I'm trying to implement recursive-import for pypi based on cran's
> recursive-import.  Killing Guile process will be an issue, I guess.
> 
> Oleg.

Okay, sounds reasonable. I just thought an explanation would be
good. Preferable we should add those to the commits more often.
Context is good :)

-- 
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://c.n0.is/ng0_pubkeys/tree/keys
  WWW: https://n0.is